Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 641686 - x11-plugins/wmcube-1.0.2 : !!! Fetched file: wmcube-1.0.2.tar VERIFY FAILED!
Summary: x11-plugins/wmcube-1.0.2 : !!! Fetched file: wmcube-1.0.2.tar VERIFY FAILED!
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Bernard Cafarelli
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 639576
  Show dependency tree
 
Reported: 2017-12-19 09:31 UTC by Toralf Förster
Modified: 2018-01-19 01:13 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.25 KB, text/plain)
2017-12-19 09:31 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,109.49 KB, text/plain)
2017-12-19 09:31 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,18.10 KB, application/x-bzip)
2017-12-19 09:31 UTC, Toralf Förster
Details
x11-plugins:wmcube-1.0.2:20171219-092821.log (x11-plugins:wmcube-1.0.2:20171219-092821.log,3.28 KB, text/plain)
2017-12-19 09:31 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2017-12-19 09:31:16 UTC
2017-12-19 10:28:21 (552 KB/s) - ‘/var/tmp/distfiles/wmcube-1.0.2.tar’ saved [56908/56908]

!!! Fetched file: wmcube-1.0.2.tar VERIFY FAILED!
!!! Reason: Filesize does not match recorded size
!!! Got:      56908
!!! Expected: 378880

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.0_test_20171216-103216

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-7.2.0 *

Available Python interpreters, in order of preference:
  [1]   python3.5
  [2]   python3.6 (fallback)
  [3]   python2.7 (fallback)
  [4]   pypy3 (fallback)

java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.6.0 [icedtea-bin-8]
2)	JamVM JDK 2.0.0 [jamvm]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm
  [2]   jamvm 

emerge -qpv x11-plugins/wmcube
[ebuild  N    ] x11-plugins/wmcube-1.0.2
Comment 1 Toralf Förster gentoo-dev 2017-12-19 09:31:20 UTC
Created attachment 510936 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2017-12-19 09:31:23 UTC
Created attachment 510938 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2017-12-19 09:31:26 UTC
Created attachment 510940 [details]
etc.portage.tbz2
Comment 4 Toralf Förster gentoo-dev 2017-12-19 09:31:29 UTC
Created attachment 510942 [details]
x11-plugins:wmcube-1.0.2:20171219-092821.log
Comment 5 Bernard Cafarelli gentoo-dev 2017-12-20 12:27:22 UTC
Just retested, it maybe was a temporary error? The file looks much too short (56k instead of 372)

>>> Downloading 'http://linux-bsd-unix.strefa.pl/wmcube-1.0.2.tar.gz'
--2017-12-20 13:25:26--  http://linux-bsd-unix.strefa.pl/wmcube-1.0.2.tar.gz
Resolving linux-bsd-unix.strefa.pl (linux-bsd-unix.strefa.pl)... 217.74.66.167
Connecting to linux-bsd-unix.strefa.pl (linux-bsd-unix.strefa.pl)|217.74.66.167|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 56908 (56K) [application/x-tar]
Saving to: ‘/usr/portage/distfiles/wmcube-1.0.2.tar’

/usr/portage/distfiles/wmcube-1.0.2.t 100%[=========================================================================>]  55,57K  --.-KB/s    in 0,08s   

2017-12-20 13:25:26 (707 KB/s) - ‘/usr/portage/distfiles/wmcube-1.0.2.tar’ saved [378880]

 * wmcube-1.0.2.tar BLAKE2B SHA512 size ;-) ...                                                                                                  [ ok ]
Comment 6 Thomas Deutschmann gentoo-dev Security 2017-12-20 13:06:34 UTC
Same problem:

> --2017-12-20 13:48:08--  http://ftp.uni-kl.de/pub/linux/gentoo/distfiles/wmcube-1.0.2.tar
> Resolving ftp.uni-kl.de (ftp.uni-kl.de)... 2001:638:208:ef1b:0:ff:fe00:4, 131.246.123.4
> Connecting to ftp.uni-kl.de (ftp.uni-kl.de)|2001:638:208:ef1b:0:ff:fe00:4|:80... connected.
> HTTP request sent, awaiting response... 404 Not Found
> 2017-12-20 13:48:08 ERROR 404: Not Found.
> 
> >>> Downloading 'http://distfiles.gentoo.org/distfiles/wmcube-1.0.2.tar'
> --2017-12-20 13:48:08--  http://distfiles.gentoo.org/distfiles/wmcube-1.0.2.tar
> Resolving distfiles.gentoo.org (distfiles.gentoo.org)... 2600:3402:200:227::2, 2605:bc80:3010::134, 2600:3404:200:237::2, ...
> Connecting to distfiles.gentoo.org (distfiles.gentoo.org)|2600:3402:200:227::2|:80... connected.
> HTTP request sent, awaiting response... 404 Not Found
> 2017-12-20 13:48:08 ERROR 404: Not Found.
> 
> >>> Downloading 'http://linux-bsd-unix.strefa.pl/wmcube-1.0.2.tar.gz'
> --2017-12-20 13:48:08--  http://linux-bsd-unix.strefa.pl/wmcube-1.0.2.tar.gz
> Resolving linux-bsd-unix.strefa.pl (linux-bsd-unix.strefa.pl)... 217.74.66.167
> Connecting to linux-bsd-unix.strefa.pl (linux-bsd-unix.strefa.pl)|217.74.66.167|:80... connected.
> HTTP request sent, awaiting response... 200 OK
> Length: 56908 (56K) [application/x-tar]
> Saving to: ‘/usr/portage/distfiles/wmcube-1.0.2.tar’
> 
>      0K .......... .......... .......... .......... .......... 89%  528K 0s
>     50K .....                                                 100% 10.3M=0.1s
> 
> 2017-12-20 13:48:09 (583 KB/s) - ‘/usr/portage/distfiles/wmcube-1.0.2.tar’ saved [56908/56908]
> 
> !!! Fetched file: wmcube-1.0.2.tar VERIFY FAILED!
> !!! Reason: Filesize does not match recorded size
> !!! Got:      56908
> !!! Expected: 378880
> Refetching... File renamed to '/usr/portage/distfiles/wmcube-1.0.2.tar._checksum_failure_.iyctb63u'
> 
> !!! Couldn't download 'wmcube-1.0.2.tar'. Aborting.
> 

This is an upstream problem: Invalid GZIP server configuration:

> HTTP request sent, awaiting response...
>   HTTP/1.0 200 OK
>   Date: Wed, 20 Dec 2017 12:54:37 GMT
>   Server: Apache
>   Vary: Host
>   Last-Modified: Sun, 06 Mar 2016 23:12:24 GMT
>   ETag: "a0da7e2-de4c-56dcb958"
>   Accept-Ranges: bytes
>   Content-Length: 56908
>   Content-Type: application/x-tar         <---
>   Content-Encoding: x-gzip                <---
>   Content-Language: pl
>   Connection: keep-alive
> Length: 56908 (56K) [application/x-tar]
> Saving to: ‘wmcube-1.0.2.tar.gz’

This looks like bug 636238 or bug 640930. However, I run into this with wget-1.19.1 without new gzip support.

An even with `wget --compression=none` (wget-1.19.2), i.e. I don't advertise content encoding capabilities, the server applies content encoding:

> ---request begin---
> GET /wmcube-1.0.2.tar.gz HTTP/1.1
> User-Agent: Wget/1.19.2 (linux-gnu)
> Accept: */*
> Accept-Encoding: identity
> Host: linux-bsd-unix.strefa.pl
> Connection: Keep-Alive
> 
> ---request end---
> HTTP request sent, awaiting response...
> ---response begin---
> HTTP/1.0 200 OK
> Date: Wed, 20 Dec 2017 13:03:31 GMT
> Server: Apache
> Vary: Host
> Last-Modified: Sun, 06 Mar 2016 23:12:24 GMT
> ETag: "a0da7e2-de4c-56dcb958"
> Accept-Ranges: bytes
> Content-Length: 56908
> Content-Type: application/x-tar
> Content-Encoding: x-gzip
> Content-Language: pl
> Connection: keep-alive

So you should contact upstream about this invalid Apache configuration. Until fixed I suggest to manually add the files to our mirrors.
Comment 7 Bernard Cafarelli gentoo-dev 2017-12-20 13:38:15 UTC
Thanks for the detailed explanation! I mirrored the tarball temporarily on my devspace and send an email upstream
Comment 8 Larry the Git Cow gentoo-dev 2017-12-20 13:38:24 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=598594268f6605c06a1541bd4d92fcabb5dbb39b

commit 598594268f6605c06a1541bd4d92fcabb5dbb39b
Author:     Bernard Cafarelli <voyageur@gentoo.org>
AuthorDate: 2017-12-20 13:36:09 +0000
Commit:     Bernard Cafarelli <voyageur@gentoo.org>
CommitDate: 2017-12-20 13:38:02 +0000

    x11-plugins/wmcube: temporary mirror the tarball
    
    Currently upstream server has problems in content-encoding configuration
    
    Bug: https://bugs.gentoo.org/641686
    Package-Manager: Portage-2.3.19, Repoman-2.3.6

 x11-plugins/wmcube/Manifest            | 2 +-
 x11-plugins/wmcube/wmcube-1.0.2.ebuild | 4 +++-
 2 files changed, 4 insertions(+), 2 deletions(-)}
Comment 9 Bernard Cafarelli gentoo-dev 2017-12-20 13:53:01 UTC
Mail sent, marking this as fixed downstream for the stabilization process